From aed872a4dddb3419ff95f530790363ee0051d5dd Mon Sep 17 00:00:00 2001
From: Christophe Courtaut <christophe.courtaut@gmail.com>
Date: Fri, 18 Sep 2009 22:02:08 +0200
Subject: [PATCH] Fix huge memory leak in sout smem module

---
 modules/stream_out/smem.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/modules/stream_out/smem.c b/modules/stream_out/smem.c
index 5d9b79e..d8ddb86 100644
--- a/modules/stream_out/smem.c
+++ b/modules/stream_out/smem.c
@@ -308,6 +308,7 @@ static int SendVideo( sout_stream_t *p_stream, sout_stream_id_t *id,
     p_sys->pf_video_postrender_callback( p_sys->p_video_data, p_pixels,
                                          id->format->video.i_width, id->format->video.i_height,
                                          id->format->video.i_bits_per_pixel, i_size, p_buffer->i_pts );
+    block_ChainRelease( p_buffer );
     return VLC_SUCCESS;
 }
 
-- 
1.6.3.3

